Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.submit.transports.http
Class MimeMessageRequestEntity

    java.lang.Object
      com.eviware.soapui.impl.wsdl.submit.transports.http.MimeMessageRequestEntity

All Implemented Interfaces:
  org.apache.commons.httpclient.methods.RequestEntity

    public class MimeMessageRequestEntity

extends java.lang.Object
implements org.apache.commons.httpclient.methods.RequestEntity

MimeMessage request class

Author:
  ole.matzura

Constructor Summary
`MimeMessageRequestEntity(javax.mail.internet.MimeMessage message, boolean isXOP, WsdlRequest wsdlRequest)`

Method Summary
`long` | `getContentLength()`
`java.lang.String` | `getContentType()`
`boolean` | `isRepeatable()`
`void` | `writeRequest(java.io.OutputStream arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeMessageRequestEntity

    public MimeMessageRequestEntity(javax.mail.internet.MimeMessage message,
                                    boolean isXOP,
                                    WsdlRequest wsdlRequest)

Method Detail

### getContentLength

    public long getContentLength()

  Specified by:
    `getContentLength` in interface `org.apache.commons.httpclient.methods.RequestEntity`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `org.apache.commons.httpclient.methods.RequestEntity`

### isRepeatable

    public boolean isRepeatable()

  Specified by:
    `isRepeatable` in interface `org.apache.commons.httpclient.methods.RequestEntity`

### writeRequest

    public void writeRequest(java.io.OutputStream arg0)
                      throws java.io.IOException

  Specified by:
    `writeRequest` in interface `org.apache.commons.httpclient.methods.RequestEntity`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.